/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.cache;

import com.liferay.portal.kernel.cache.PortalCache;
import com.liferay.portal.kernel.nio.intraband.proxy.annotation.Proxy;

import java.io.Serializable;

/**
 * @author Tina Tian
 */
public interface LowLevelCache<K extends Serializable, V>
	extends PortalCache<K, V> {

	@Proxy
	public V putIfAbsent(K key, V value);

	@Proxy
	public V putIfAbsent(K key, V value, int timeToLive);

	@Proxy
	public boolean remove(K key, V value);

	@Proxy
	public V replace(K key, V value);

	@Proxy
	public V replace(K key, V value, int timeToLive);

	@Proxy
	public boolean replace(K key, V oldValue, V newValue);

	@Proxy
	public boolean replace(K key, V oldValue, V newValue, int timeToLive);

}