/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.cache;

import com.liferay.portal.kernel.cache.PortalCacheListener;

import java.io.Serializable;

/**
 * @author Tina Tian
 */
public interface PortalCacheReplicator
	<K extends Serializable, V extends Serializable>
		extends PortalCacheListener<K, V> {

	public static final boolean DEFAULT_REPLICATE_PUTS = true;

	public static final boolean DEFAULT_REPLICATE_PUTS_VIA_COPY = false;

	public static final boolean DEFAULT_REPLICATE_REMOVALS = true;

	public static final boolean DEFAULT_REPLICATE_UPDATES = true;

	public static final boolean DEFAULT_REPLICATE_UPDATES_VIA_COPY = false;

	public static final String REPLICATE_PUTS = "replicatePuts";

	public static final String REPLICATE_PUTS_VIA_COPY = "replicatePutsViaCopy";

	public static final String REPLICATE_REMOVALS = "replicateRemovals";

	public static final String REPLICATE_UPDATES = "replicateUpdates";

	public static final String REPLICATE_UPDATES_VIA_COPY =
		"replicateUpdatesViaCopy";

	public static final String REPLICATOR = "replicator";

}